<?php

use App\Enums\Channel;

describe('Channel Enum', function () {
    it('has channel cases', function () {
        $cases = Channel::cases();

        expect($cases)->not()->toBeEmpty();
    });

    it('can get first case value', function () {
        $firstCase = Channel::cases()[0];

        expect($firstCase->value)->toBeString();
    });
});
